<script src='https://www.google.com/recaptcha/api.js'></script>
<script>

	var selc = 0;
	var kakunin_data = 0;
	var kojin_doi = 0;

	function syncerRecaptchaCallback( code )
	{
		if(code != "")
		{
			kakunin_data = 1;
		}
	}


	$(function () {

		$('.mydate').datepicker({
			maxDate: "+0d"
		});

		$('#send').on('click',function(){
			var uname = $('#uname').val();
			var email= $('#email').val();
			var pass= $('#pass').val();
			var pass2= $('#pass2').val();
			var seibetsu= $('input[name="seibetsu"]').val();
			var byear = $('#byear').val();
			var bmonth= $('#bmonth').val();
			var bday= $('#bday').val();
			var zip= $('#zip').val();
			var address= $('#address').val();
			var tel= $('#address').val();


			if(uname == ''){
				alert("お名前は必ず入力してください。");
				$('#uname').addClass("bred");
				return false;
			} else {
				$('#uname').removeClass("bred");
			}

			if(email == ''){
				alert("メールアドレスは必ず入力してください。");
				$('#email').addClass("bred");
				return false;
			} else if(!email.match(/^([a-zA-Z0-9])+([a-zA-Z0-9\._-])*@([a-zA-Z0-9_-])+([a-zA-Z0-9\._-]+)+$/)){
				alert("メールアドレスの形式がおかしいです。");
				$('#email').addClass("bred");
				return false;
			} else {
				$('#email').removeClass("bred");
			}

			if(pass == ''){
				alert("パスワードは必ず入力してください。");
				$('#pass').addClass("bred");
				return false;
			} else {
				$('#pass').removeClass("bred");
			}

			if(pass2 == ''){
				alert("パスワード確認は必ず入力してください。");
				$('#pass2').addClass("bred");
				return false;
			} else {
				$('#pass2').removeClass("bred");
			}

			if(pass != pass2){
				alert("パスワードが一致しません。");
				$('#pass').addClass("bred");
				$('#pass2').addClass("bred");
				return false;
			} else {
				$('#pass').removeClass("bred");
				$('#pass2').removeClass("bred");
			}

			if(pass.length < 8){
				alert("パスワードは8文字以上でお願いします。");
				$('#pass').addClass("bred");
				$('#pass2').addClass("bred");
				return false;
			} else {
				$('#pass').removeClass("bred");
				$('#pass2').removeClass("bred");
			}
			$.post(
				'mail_check.php',
				{
					mymail: email,
			 	},
				function( data ) {
					if(data.ans == 1){
						$('#regform').submit();
					} else {
						alert("メールアドレス"+email+"はすでに登録済みです。");
						$('#email').addClass("bred");
						return false;
					}
				}
				,'json'
     	);

		});

	});

</script>

<div class="register_form">
	<h3>登録情報の修正</h3>
	<form id="regform" method="post" action="edituser.php">
	<input type="hidden" name="op" value="saveuser">
	<div class="row">
		<div class="one fourth small-tablet padded">
			<h4 class="info box narrow square">お名前※</h4>
		</div>
		<div class="three fourth small-tablet padded">
			<input type="text" class="wmax" id="uname" name="uname" placeholder="お名前" value="<{$userdata.uname}>">
		</div>
	</div>
	<div class="row">
		<div class="one fourth small-tablet padded">
			<h4 class="info box narrow square">メールアドレス※</h4>
		</div>
		<div class="three fourth small-tablet padded">
			<input type="email" class="wmax" id="email"  name="email" placeholder="Email"  value="<{$userdata.email}>">
		</div>
	</div>
	<div class="row">
		<div class="one fourth small-tablet padded">
			<h4 class="info box narrow square">パスワード※</h4>
		</div>
		<div class="three fourth small-tablet padded">
			<input type="text" class="wmax" id="pass" name="pass"  value="<{$userdata.readpass}>">
		</div>
	</div>
	<div class="row">
		<div class="one fourth small-tablet padded">
			<h4 class="info box narrow square">パスワード確認※</h4>
		</div>
		<div class="three fourth small-tablet padded">
			<input type="text" class="wmax" id="pass2" name="pass2" placeholder="パスワード8桁以上">
		</div>
	</div>

	<div class="row">
		<div class="one fourth small-tablet padded">
			<h4 class="info box narrow square">性別※</h4>
		</div>
		<div class="three fourth small-tablet padded">
			<{$userdata.sexsel}>
		</div>
	</div>
	<div class="row">
		<div class="one fourth small-tablet padded">
			<h4 class="info box narrow square">生年月日※</h4>
		</div>
		<div class="three fourth small-tablet padded">
			<{$userdata.bsel}>
		</div>
	</div>
	<div class="row">
		<div class="one fourth small-tablet padded">
			<h4 class="info box narrow square">郵便番号</h4>
		</div>
		<div class="one fourth small-tablet padded">
			<input type="text" name="zip"  value="<{$userdata.zip}>">
		</div>
		<div class="one fourth small-tablet padded">
			<h4 class="info box narrow square">電話番号</h4>
		</div>
		<div class="one fourth small-tablet padded">
			<input type="text" name="tel" id="tel" class="wmax"  value="<{$userdata.tel}>">
		</div>
	</div>
	<div class="row">
		<div class="one fourth small-tablet padded">
			<h4 class="info box narrow square">ご住所</h4>
		</div>
		<div class="three fourth small-tablet padded">
			<input type="text" class="wmax" name="address" id="address"  value="<{$userdata.address}>"><br />
		</div>
	</div>
	<div class="row">
		<div class="padded">
			<input type="button" class="red wmax" id="send" value="送信する">
		</div>
	</div>
</div>
